> ## Documentation Index
> Fetch the complete documentation index at: https://developers.smsmanager.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Přečíst stav odeslané zprávy



## OpenAPI

````yaml /openapi/cs/rest/restapi_v1.yaml get /message
openapi: 3.1.0
info:
  title: REST API SmsManager
  description: |
    API pro správu účtů a dalších zdrojů SmsManageru.
  version: v1
  contact:
    url: https://smsmanager.com
    email: cc@smsmanager.com
servers:
  - url: https://rest-api.smsmngr.com/v1
    description: Odpoví s daty vašeho požadavku
security:
  - x-api-key: []
tags:
  - name: api
    x-displayName: API klíč
    description: |
      Pro správu API klíčů použijte následující koncové body.
  - name: status
    x-displayName: Stav
    description: |
      Pro čtení stavu odeslaných zpráv použijte následující koncové body.
  - name: inbox
    x-displayName: Inbox
    description: |
      For reading inbox messages use the following endpoints.
  - name: credit
    x-displayName: Credit
    description: |
      For reading credit balance or pricelist info use the following endpoints.
paths:
  /message:
    get:
      tags:
        - status
      summary: Přečíst stav odeslané zprávy
      parameters:
        - name: id
          in: query
          required: true
          description: ID zprávy
          schema:
            type: string
      responses:
        '200':
          description: Informace o zprávě
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    description: Stav úspěchu.
                  message:
                    type: object
                    description: Zpráva.
                    properties:
                      request_id:
                        type: string
                        description: ID požadavku.
                      status_code:
                        type: string
                        description: Stavový kód zprávy.
                      delivery_code:
                        type: string
                        description: Stavová zpráva doručení.
                      tag:
                        type: string
                        description: Tag zprávy.
                      ts_sent:
                        type: integer
                        description: Časové razítko odeslání zprávy.
                      ts_delivered:
                        type: integer
                        description: Časové razítko doručení zprávy.
                      ts_created:
                        type: integer
                        description: Časové razítko vytvoření zprávy.
                      body:
                        type: string
                        description: Zpráva.
                      flow:
                        type: string
                        description: Tok zprávy.
                      price:
                        type: object
                        description: Cena zprávy.
                        properties:
                          price_czk:
                            type: number
                            description: Cena v CZK.
                          price_eur:
                            type: number
                            description: Cena v EUR.
                          mcc:
                            type: string
                            description: MCC zprávy.
                          mnc:
                            type: string
                            description: MNC zprávy.
        '400':
          description: Špatný požadavek
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    description: Stav úspěchu.
                    example: false
                  message:
                    type: string
                    description: Chybová zpráva.
                    example: Registrace na WhatsApp se nezdařila
components:
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````